Subject: Re: [PATCH] gianfar_ptp: use iomem, not ioports resource tree in probe

From: Richard Cochran <[email-masked]>
Date: Fri, 26 Oct 2012 12:32:44 +0200

On Thu, Oct 25, 2012 at 03:17:48PM -0500, Timur Tabi wrote:
> 
> I'm sorry for what I said.  It was inappropriate.  I deal with crappy code
> from co-workers on a daily basis, and sometimes I forgot that just because
> something is done differently than I would have done it, that doesn't mean
> it's wrong.

Thanks for that apology. Now my wounded pride has recovered :)

> I actually did that research and saw Grant's comments.  I asked him about
> it on IRC, and although I understand his reasoning, I'm not sure I agree
> with all of it.  In particular, I think
> platform_get_resource/request_resource/ioremap is less elegant than just
> calling of_iomap.

No comment from me, since I always seem to lose at the DT game.

Thanks,
Richard